Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_Current Class Reference

Implementation of the TAO SSLIOP::Current extension. More...

`#include <SSLIOP_Current.h>`

Inheritance diagram for TAO_SSLIOP_Current

[legend]
Collaboration diagram for TAO_SSLIOP_Current:

[legend]
List of all members.

## Downcast and Reference Counting Methods
These are basically the same methods generated by the IDL compiler for all IDL interfaces.
typedef TAO_SSLIOP_Current_ptr | _ptr_type
typedef TAO_SSLIOP_Current_var | _var_type
virtual void* | _tao_QueryInterface (ptr_arith_t type)
virtual const char* | _interface_repository_id (void) const
TAO_SSLIOP_Current_ptr | _duplicate (TAO_SSLIOP_Current_ptr obj)
TAO_SSLIOP_Current_ptr | _narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
TAO_SSLIOP_Current_ptr | _unchecked_narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
TAO_SSLIOP_Current_ptr | _nil (void)
int | _tao_class_id = 0
## Public Methods
| TAO_SSLIOP_Current (TAO_ORB_Core *orb_core)
| Constructor.
virtual SSLIOP::ASN_1_Cert* | get_peer_certificate ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, SSLIOP::Current::NoContext)
| Return the peer certificate associated with the current request.
virtual SSLIOP::SSL_Cert* | get_peer_certificate_chain ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, SSLIOP::Current::NoContext)
| Return the certificate chain associated with the current execution context. If no SSL session is being used for the request or upcall, then the NoContext exception is raised. On the client side, the chain does include the peer (server) certficate. However, the certificate chain on the server side does NOT contain the peer (client) certificate.
virtual CORBA::Boolean | no_context ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
| Returns true if the current execution context is not within a SSL session. This method is mostly useful as an inexpensive means of determining whether or not SSL session state is available.
void | tss_slot (size_t slot)
| Set the TSS slot ID assigned to this object.
void | setup (TAO_SSLIOP_Current_Impl *&prev_impl, TAO_SSLIOP_Current_Impl *new_impl, CORBA::Boolean &setup_done)
| Setup the Current.
void | teardown (TAO_SSLIOP_Current_Impl *prev_impl, CORBA::Boolean &setup_done)
| Teardown the Current for this request.
## Protected Methods
| ~TAO_SSLIOP_Current (void)
| Destructor Protected to force allocation on the heap.
int | implementation (TAO_SSLIOP_Current_Impl *impl)
| Set the TSS SSLIOP::Current implementation.
TAO_SSLIOP_Current_Impl* | implementation (void)
| Return the TSS SSLIOP::Current implementation.
## Private Methods
| TAO_SSLIOP_Current (const TAO_SSLIOP_Current &)
void | operator= (const TAO_SSLIOP_Current &)
## Private Attributes
size_t | tss_slot_
| TSS slot assigned to this object.
TAO_ORB_Core* | orb_core_
| Pointer to the ORB Core corresponding to the ORB with which this object is registered.

## Detailed Description

Implementation of the TAO SSLIOP::Current extension.

This object can be used to obtain SSL session related information about the current execution context. For example, SSL peer certificate chains for the current request can be obtained from this object.

## Member Typedef Documentation

typedef TAO_SSLIOP_Current_ptr TAO_SSLIOP_Current::_ptr_type

typedef TAO_SSLIOP_Current_var TAO_SSLIOP_Current::_var_type

## Constructor & Destructor Documentation

TAO_SSLIOP_Current::TAO_SSLIOP_Current ( | TAO_ORB_Core * orb_core )

| Constructor.

TAO_SSLIOP_Current::~TAO_SSLIOP_Current ( | void )`[protected]`

| Destructor Protected to force allocation on the heap.

TAO_SSLIOP_Current::TAO_SSLIOP_Current ( | const TAO_SSLIOP_Current & )`[private]`

## Member Function Documentation

TAO_SSLIOP_Current_ptr TAO_SSLIOP_Current::_duplicate ( | TAO_SSLIOP_Current_ptr obj )`[static]`

const char * TAO_SSLIOP_Current::_interface_repository_id ( | void ) const`[virtual]`

| Reimplemented from CORBA_Object.

TAO_SSLIOP_Current_ptr TAO_SSLIOP_Current::_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

TAO_SSLIOP_Current_ptr TAO_SSLIOP_Current::_nil ( | void )`[inline, static]`

| Reimplemented from CORBA_LocalObject.

void * TAO_SSLIOP_Current::_tao_QueryInterface ( | ptr_arith_t type )`[virtual]`

| Reimplemented from CORBA_Object.

TAO_SSLIOP_Current_ptr TAO_SSLIOP_Current::_unchecked_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

SSLIOP::ASN_1_Cert * TAO_SSLIOP_Current::get_peer_certificate ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, SSLIOP::Current::NoContext)`[virtual]`

| Return the peer certificate associated with the current request.

SSLIOP::SSL_Cert * TAO_SSLIOP_Current::get_peer_certificate_chain ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, SSLIOP::Current::NoContext)`[virtual]`

| Return the certificate chain associated with the current execution context. If no SSL session is being used for the request or upcall, then the NoContext exception is raised. On the client side, the chain does include the peer (server) certficate. However, the certificate chain on the server side does NOT contain the peer (client) certificate.

ACE_INLINE TAO_SSLIOP_Current_Impl * TAO_SSLIOP_Current::implementation ( | void )`[protected]`

| Return the TSS SSLIOP::Current implementation.

ACE_INLINE int TAO_SSLIOP_Current::implementation ( | TAO_SSLIOP_Current_Impl * impl )`[protected]`

| Set the TSS SSLIOP::Current implementation.

CORBA::Boolean TAO_SSLIOP_Current::no_context ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

| Returns true if the current execution context is not within a SSL session. This method is mostly useful as an inexpensive means of determining whether or not SSL session state is available.

void TAO_SSLIOP_Current::operator= ( | const TAO_SSLIOP_Current & )`[private]`

void TAO_SSLIOP_Current::setup ( | TAO_SSLIOP_Current_Impl *& prev_impl,
| TAO_SSLIOP_Current_Impl * new_impl,
| CORBA::Boolean & setup_done )

| Setup the Current.

void TAO_SSLIOP_Current::teardown ( | TAO_SSLIOP_Current_Impl * prev_impl,
| CORBA::Boolean & setup_done )

| Teardown the Current for this request.

ACE_INLINE void TAO_SSLIOP_Current::tss_slot ( | size_t slot )

| Set the TSS slot ID assigned to this object.

## Member Data Documentation

int TAO_SSLIOP_Current::_tao_class_id = 0`[inline, static]`

TAO_ORB_Core * TAO_SSLIOP_Current::orb_core_`[private]`

| Pointer to the ORB Core corresponding to the ORB with which this object is registered.

size_t TAO_SSLIOP_Current::tss_slot_`[private]`

| TSS slot assigned to this object.

The documentation for this class was generated from the following files:

- SSLIOP_Current.h
- SSLIOP_Current.cpp
- SSLIOP_Current.inl